
Jupiter - Błąd #1853
Zadanie # 1802 (Nowy): Opracowanie integracji z OJS
Zadanie # 1831 (Rozwiązany): przerobienie importu danych

Trzeba wykonać niewielki refaktoring
2017-10-25 08:56 - Michał Komar

Status: Zamknięty Start date: 2017-10-25
Priority: Normalny Due date:
Assignee: Michał Komar % Done: 100%
Category: backend Estimated time: 0.00 hour
Target version: 0.3
Developer: Łukasz Waśkiewicz Rewizja zgłoszenia GIT:3cdd22f7a05b5b31b69ada39d20f304f926bdeda
Tester: Michał Komar Rewizja rozwiązania GIT:ae9f78768da957c333347f8f5dbacf8d6db38a71
Występuje w wersji: 0.3 Rewizja testów GIT: 016547a
Waga błędu: Mała
Description

    1. Mechanizm eventów
        -  dodać importstatus na evencie - będzie można w bardziej generyczny sposób na nich operować
    2. DocumentImportServiceImpl
        -  onImportValidationErrorEvent, onImportFailedEvent,onImportCompletedEvent - zrobić jedną metodę operującą na
ImportFinishedEvent
        -  jak będą statusy na eventach, będzie można wydzielić metodę save z onImportProcessedEvent, onImportStartedEvent
    3. DocumentImportStorageImpl
        -  Nie należy mapować beana na encję, w momencie, gdy chcemy wyciągać dane. Mapowanie powinno być wykonywane jedynie
przy update lub add
        -  Tam gdzie jest to możliwe zamienić parę "importEntity, identifier," na importedDocument.id - uprości to znacząco logikę
wyszukiwania attachmentów
    4. ImportedDocumentFileEntity
        -  Przenieść path do attachment...Entity

Associated revisions
Revision de605348 - 2017-10-27 11:53 - Łukasz Waśkiewicz

refs #1853 błędna logika przy nadpisywaniu

Revision ae9f7876 - 2017-10-31 14:21 - Łukasz Waśkiewicz

refs #1853 rafaktoring w ImportSrevice ImportStorage

History
#1 - 2017-10-31 15:13 - Łukasz Waśkiewicz
- Status changed from Nowy to Rozwiązany
- Assignee changed from Łukasz Waśkiewicz to Michał Komar
- % Done changed from 0 to 100
- Rewizja rozwiązania GIT set to ae9f78768da957c333347f8f5dbacf8d6db38a71

#2 - 2017-11-16 09:54 - Michał Komar
- Status changed from Rozwiązany to Zamknięty
- Rewizja testów GIT set to 016547a
